#ifndef NS_TLS_H
#define NS_TLS_H

#include "nspr.h"
#include "prerror.h"
#include "prio.h"

/* should be in sec_ctx.h */
struct ns_sec_ctx_t;
/* adds the sec layer _in place_ to fd - if error returned, the sec
   layer is unstable and the fd should be closed and discarded */
PRErrorCode ns_add_sec_layer(PRFileDesc *fd, struct ns_sec_ctx_t *ctx);

/* tls specific functions */
void ns_tls_done(struct ns_sec_ctx_t *ctx);
struct ns_sec_ctx_t *ns_tls_init(const char *dir, const char *prefix, const char *certname, PRBool isClient);

#endif /* NS_TLS_H */
